## verilator 3.803

=== test_c/Makefile ===
#*****************************************************************************
#
# DESCRIPTION: Verilator Example: Makefile for inside source directory
#
# This calls the object directory makefile.  That allows the objects to
# be placed in the "current directory" which simplifies the Makefile.
#
# Copyright 2003-2010 by Wilson Snyder. This program is free software; you can
# redistribute it and/or modify it under the terms of either the GNU
# Lesser General Public License Version 3 or the Perl Artistic License
# Version 2.0.
#
#****************************************************************************/

default: test_default

# This must point to the root of the VERILATOR kit
VERILATOR_ROOT := $(shell pwd)/..
export VERILATOR_ROOT

# Pick up PERL and other variable settings
include $(VERILATOR_ROOT)/include/verilated.mk

DEBUG_ON = --debug --trace-dups
#DEBUG = $(DEBUG_ON)
VALGRIND_ON = $(DEBUG_ON) --gdb "valgrind -v --leak-check=yes"

######################################################################
test_default:   prep     compile run
test_debug:     prep_dbg compile run
test_valgrind:  prep_vg  compile run

VERILATOR_FLAGS = --cc -f $(VERILATOR_ROOT)/test_v/input.vc top.v
VERILATOR_FLAGS += --trace

prep:
	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG)       $(VERILATOR_FLAGS)
prep_dbg:
	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG_ON)    $(VERILATOR_FLAGS)
prep_vg:
	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(VALGRIND_ON) $(VERILATOR_FLAGS)

compile:
	cd obj_dir ; $(MAKE) -j 3 -f ../Makefile_obj

run:
	obj_dir/simx

######################################################################

obj_dir:
	mkdir $@

######################################################################

maintainer-copy::
clean mostlyclean distclean maintainer-clean::
	-rm -rf obj_dir *.log *.dmp *.vpd core

=== test_regress/Makefile ===
#*****************************************************************************
#
# DESCRIPTION: Verilator Example: Makefile for inside source directory
#
# This calls the object directory makefile.  That allows the objects to
# be placed in the "current directory" which simplifies the Makefile.
#
# Copyright 2003-2010 by Wilson Snyder. This program is free software; you can
# redistribute it and/or modify it under the terms of either the GNU
# Lesser General Public License Version 3 or the Perl Artistic License
# Version 2.0.
#
#****************************************************************************/

default: test

# This must point to the root of the VERILATOR kit
VERILATOR_ROOT := $(shell pwd)/..
export VERILATOR_ROOT

# Pick up PERL and other variable settings
include $(VERILATOR_ROOT)/include/verilated.mk

######################################################################

ifneq ($(VCS_HOME),)
#Default to off, even with vcs; not all tests are insured to be working
#PRODUCTS += --vcs
endif

ifneq ($(NC_ROOT),)
#Default to off, even with vcs; not all tests are insured to be working
#PRODUCTS += --nc
endif

PRODUCTS += --vlt

ifeq ($(VERILATOR_AUTHOR_SITE),1)
 DRIVER_FLAGS += -j 0
endif

######################################################################

.PHONY: test
test:
	$(PERL) driver.pl $(DRIVER_FLAGS) $(PRODUCTS)

######################################################################

vcs:
	$(PERL) driver.pl $(DRIVER_FLAGS) --vcs --stop

######################################################################

nc:
	$(PERL) driver.pl $(DRIVER_FLAGS) --nc --stop

######################################################################

vlt:
	$(PERL) driver.pl $(DRIVER_FLAGS) --vlt --stop

######################################################################

random:
	$(PERL) driver.pl $(DRIVER_FLAGS) --optimize : --stop

random_forever:
	while ( VERILATOR_NO_DEBUG=1 CPPFLAGS_ADD=-Wno-error $(MAKE) random ) ; do \
		echo ; \
	done

######################################################################
maintainer-copy::
clean mostlyclean distclean maintainer-clean::
	-rm -rf obj_dir simv* simx* csrc cov_work INCA_libs *.log *.key logs vc_hdrs.h

=== test_sc/Makefile ===
#*****************************************************************************
#
# DESCRIPTION: Verilator Example: Makefile for inside source directory
#
# This calls the object directory makefile.  That allows the objects to
# be placed in the "current directory" which simplifies the Makefile.
#
# Copyright 2003-2010 by Wilson Snyder. This program is free software; you can
# redistribute it and/or modify it under the terms of either the GNU
# Lesser General Public License Version 3 or the Perl Artistic License
# Version 2.0.
#
#****************************************************************************/

default: test_default

# This must point to the root of the VERILATOR kit
VERILATOR_ROOT := $(shell pwd)/..
export VERILATOR_ROOT

# Pick up PERL and other variable settings
include $(VERILATOR_ROOT)/include/verilated.mk

DEBUG_ON = --debug

######################################################################
ifneq ($(SYSTEMC),)
test_default:  precopy prep        preproc compile run
test_debug:    precopy prep_dbg    preproc compile run
else
test_default:  nosc
test_debug:    nosc
endif

V_FLAGS = -f $(VERILATOR_ROOT)/test_v/input.vc
VERILATOR_FLAGS = --sc $(V_FLAGS) top.v
VERILATOR_FLAGS += --trace

precopy:

prep:
	$(PERL) $(VERILATOR_ROOT)/bin/verilator             $(VERILATOR_FLAGS)
prep_dbg:
	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG_ON) $(VERILATOR_FLAGS)

preproc:
	cd obj_dir ; $(MAKE) -j 1 -f ../Makefile_obj preproc

compile:
	cd obj_dir ; $(MAKE) -j 3 -f ../Makefile_obj

run:
	obj_dir/simx

######################################################################

obj_dir:
	mkdir $@

nosc:
	@echo
	@echo %Skip: SYSTEMC not in environment
	@echo

######################################################################

maintainer-copy::
clean mostlyclean distclean maintainer-clean::
	-rm -rf obj_dir *.log *.dmp *.vpd *.vcd core

=== test_sp/Makefile ===
#*****************************************************************************
#
# DESCRIPTION: Verilator Example: Makefile for inside source directory
#
# This calls the object directory makefile.  That allows the objects to
# be placed in the "current directory" which simplifies the Makefile.
#
# Copyright 2003-2010 by Wilson Snyder. This program is free software; you can
# redistribute it and/or modify it under the terms of either the GNU
# Lesser General Public License Version 3 or the Perl Artistic License
# Version 2.0.
#
#****************************************************************************/

default: test_default

# This must point to the root of the VERILATOR kit
VERILATOR_ROOT := $(shell pwd)/..
export VERILATOR_ROOT

# Pick up PERL and other variable settings
include $(VERILATOR_ROOT)/include/verilated.mk

DEBUG_ON = --debug --trace-dups

######################################################################
ifneq ($(SYSTEMPERL),)
test_default:  precopy prep        preproc compile     run coverage
test_debug:    precopy prep_dbg    preproc compile_dbg run coverage
test_nopublic: precopy prep_dbg_np preproc compile_dbg run coverage
else
test_default:  nosp
test_debug:    nosp
test_nopublic: nosp
endif

V_FLAGS = -f $(VERILATOR_ROOT)/test_v/input.vc

# Note the --public --output-split-cfunc is here for testing only,
# Avoid using these settings in real application Makefiles!
VERILATOR_FLAGS = --public --output-split-cfuncs 1000 --output-split 1000 \
	--sp --coverage --stats --trace $(V_FLAGS) top.v

precopy: obj_dir obj_dir/sc_main.cpp
obj_dir/sc_main.cpp: ../test_sc/sc_main.cpp
	mkdir -p obj_dir
	cp $^ $@

prep:
	$(PERL) $(VERILATOR_ROOT)/bin/verilator             $(VERILATOR_FLAGS)
prep_dbg:
	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG_ON) $(VERILATOR_FLAGS)
prep_dbg_np:
	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG_ON) $(VERILATOR_FLAGS) --nopublic

preproc:
	cd obj_dir ; $(MAKE) -j 1 -f ../Makefile_obj preproc

compile:
	cd obj_dir ; $(MAKE)        -j 3 -f ../Makefile_obj

compile_dbg:
	cd obj_dir ; $(MAKE) OPT=-g -j 3 -f ../Makefile_obj

run:
	obj_dir/simx

coverage:
	vcoverage $(V_FLAGS)

######################################################################

obj_dir:
	mkdir $@

nosp:
	@echo
	@echo %Skip: SYSTERMPERL not in environment
	@echo

######################################################################

maintainer-copy::
clean mostlyclean distclean maintainer-clean::
	-rm -rf obj_dir *.log *.dmp *.vpd *.vcd core logs

=== test_vcs/Makefile ===
#*****************************************************************************
#
# DESCRIPTION: Verilator Example: Makefile for inside source directory
#
# This calls the object directory makefile.  That allows the objects to
# be placed in the "current directory" which simplifies the Makefile.
#
# Copyright 2003 by Wilson Snyder. This program is free software; you can
# redistribute it and/or modify it under the terms of either the GNU
# Lesser General Public License Version 3 or the Perl Artistic License
# Version 2.0.
#
#****************************************************************************/

default: test

# This must point to the root of the VERILATOR kit
VERILATOR_ROOT := $(shell pwd)/..
export VERILATOR_ROOT

# Pick up PERL and other variable settings
include $(VERILATOR_ROOT)/include/verilated.mk

######################################################################

V_FILES := $(wildcard *.v ../test_v/*.v)

######################################################################

ifneq ($(VCS_HOME),)
test::	vcs
else
test::	novcs
endif

ifneq ($(NC_ROOT),)
test::	nc
else
test::	nonc
endif

######################################################################

novcs:
	@echo "No VCS simulator installed."
	@echo "Not running VCS regression test."

vcs:	vcs_passed.log

simv:	$(V_FILES) ../test_v/input.vc
	vcs +cli -I -sverilog +define+VCS+1 -f ../test_v/input.vc -q bench.v

vcs_passed.log	: simv
	-rm -f test_passed.log
	./simv -l sim.log
	grep -q Finished sim.log && grep Finished sim.log > vcs_passed.log

######################################################################

nonc:
	@echo "No NC-Verilog simulator installed."
	@echo "Not running NC-Verilog regression test."

nc:	nc_passed.log

nc_passed.log: $(V_FILES) ../test_v/input.vc
	ncverilog +define+ncverilog=1 +licqueue -f ../test_v/input.vc -q bench.v
	-rm -f nc_passed.log
	grep -q Finished ncverilog.log && grep Finished ncverilog.log > nc_passed.log

######################################################################

maintainer-copy::
clean mostlyclean distclean maintainer-clean::
	-rm -rf obj_dir *.log *.dmp *.vpd simv* vcs.key csrc INCA_libs

=== debian/changelog ===
verilator (3.803-1) unstable; urgency=low

  * New upstream release.
  * Removed patch typos.diff as it got applied upstream
  * debian/control: Bumped Standards-Version to 3.9.0 (no changes
    needed)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 15 Jul 2010 21:00:20 +0300

verilator (3.802-1) unstable; urgency=low

  * New upstream release.
  * Removed install_perms.diff patche, as it got applied upstream.
  * Refreshed typos.diff patch to fix a new typo, and remove fixes that got
    applied upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 01 May 2010 22:56:15 +0300

verilator (3.801-1) unstable; urgency=low

  * New upstream release (Closes: #577187)
  * Switched to 3.0 (quilt) source format.
  * debian/control:
    + Set pkg-electronics as Maintainer and add myself to Uploaders.
    + Bumped Standards-Version to 3.8.4
    + Added proper Vcs-* fields.
    + Removed "the" from package description.
    + Added DMUA
  * debian/docs:
    + Remove README & readme.pod since they do not provide useful information
      to user.
    + Added verilator.html & verilator.pdf
  * debian/watch: set the upstream URL to one that can be checked.
  * Added manpage for verilator_profcfunc
  * Added debian/links, debian/doc-base, debian/manpages
  * Remove debian/dirs
  * debian/rules:
    + No more need to override dh_auto_test since upstream now skips SystemC
      tests if SystemC is not installed.
    + No need to override dh_auto_install
    + Override dh_installexamples to move examples dir from
      /usr/share/verilator to /usr/share/doc/verilator
  * Added install_perms.diff patch to install data files without executable
    permissions.
  * Added typos.diff patch to fix some spelling mistakes in verilator
    executable & manpage.
  * Added shebang.diff patch to add proper shebangs.
  * debian/copyright:
    + Converted to machine-readable format.
    + Changed packaging license to match that of upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Apr 2010 23:33:46 +0200

verilator (3.800-5) unstable; urgency=low

  * prevent make from running test and failing because SystemC is not present
  * now using override_dh_auto_test instead of override_dh_auto_make

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 19:51:39 +0100

verilator (3.800-4) unstable; urgency=low

  * prevent make from running test and failing because SystemC is not present

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 11:06:10 +0100

verilator (3.800-3) unstable; urgency=low

  * Added bison to dependencies

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 11:06:10 +0100

verilator (3.800-2) unstable; urgency=low

  * Added flex to dependencies

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 10:51:20 +0100

verilator (3.800-1) unstable; urgency=low

  * Initial release

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 07:52:28 +0100

=== debian/control ===
Source: verilator
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, flex, bison
Standards-Version: 3.9.0
Homepage: http://www.veripool.org/wiki/verilator
Vcs-Git: git://git.debian.org/git/pkg-electronics/verilator.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/verilator.git

Package: verilator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gtkwave, systemc
Description: fast free Verilog simulator
 Verilator is the fastest free Verilog HDL simulator, and beats many commercial
 simulators. It compiles synthesizable Verilog (not test-bench code!), plus
 some PSL, SystemVerilog and Synthesis assertions into C++ or SystemC code.
 It is designed for large projects where fast simulation performance is of
 primary concern, and is especially well suited to generate executable models
 of CPUs for embedded software design teams.

## verilator 3.811

=== debian/changelog ===
verilator (3.811-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 16 Feb 2011 17:11:11 +0200

verilator (3.810-1) unstable; urgency=low

  * New upstream release.
  * Refreshed shebang.diff patch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 22 Jan 2011 10:08:37 +0200

verilator (3.805-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 07 Nov 2010 10:32:20 +0200

verilator (3.804-1) experimental; urgency=low

  * New upstream release
  * Bumped compat level to 8
  * debian/control: Bumped Standards-Version to 3.9.1, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 26 Sep 2010 19:21:30 +0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, flex, bison
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 8), autotools-dev, flex, bison
+Standards-Version: 3.9.1
 Homepage: http://www.veripool.org/wiki/verilator
 Vcs-Git: git://git.debian.org/git/pkg-electronics/verilator.git
 Vcs-Browser: http://git.debian.org/?p=pkg-electronics/verilator.git

## verilator 3.820

=== test_regress/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2010 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2011 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== debian/changelog ===
verilator (3.820-2) unstable; urgency=low

  * Cherry-picked Fix-PowerPC-runtime-error.patch from upstream VCS
    (Closes: #598256)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 23 Aug 2011 13:15:42 +0200

verilator (3.820-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 31 Jul 2011 07:18:48 +0200

verilator (3.813-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 07 Jul 2011 13:53:39 +0200

verilator (3.812-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated copyright years
  * debian/control: Bumped Standards-Version to 3.9.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Apr 2011 23:21:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), autotools-dev, flex, bison
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.veripool.org/wiki/verilator
 Vcs-Git: git://git.debian.org/git/pkg-electronics/verilator.git
 Vcs-Browser: http://git.debian.org/?p=pkg-electronics/verilator.git

## verilator 3.830

=== test_regress/Makefile ===
--- 
+++ 
@@ -35,7 +35,8 @@
 
 PRODUCTS += --vlt
 
-ifeq ($(VERILATOR_AUTHOR_SITE),1)
+# Run tests in parallel.  Requires Parallel::Forker to be installed.
+ifeq ($(CFG_WITH_LONGTESTS),yes)
  DRIVER_FLAGS += -j 0
 endif

=== test_vcs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2011 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.
@@ -72,5 +72,5 @@
 
 maintainer-copy::
 clean mostlyclean distclean maintainer-clean::
-	-rm -rf obj_dir *.log *.dmp *.vpd simv* vcs.key csrc INCA_libs
+	-rm -rf obj_dir *.log *.dmp *.vpd simv* *.key csrc INCA_libs

=== debian/changelog ===
verilator (3.830-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 29 Nov 2011 16:48:53 +0200

verilator (3.824-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 26 Oct 2011 05:38:30 +0200

verilator (3.821-1) unstable; urgency=low

  * New upstream release.
  * Dropped Fix-PowerPC-runtime-error.patch patch as it is included in new
    upstream release
  * debian/copyright: Updated copyright format

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 18 Sep 2011 14:30:17 +0200

## verilator 3.832

=== test_regress/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2011 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== test_sp/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2010 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.
@@ -75,7 +75,7 @@
 
 nosp:
 	@echo
-	@echo %Skip: SYSTERMPERL not in environment
+	@echo %Skip: SYSTEMPERL not in environment
 	@echo
 
 ######################################################################

=== debian/changelog ===
verilator (3.832-1) unstable; urgency=low

  * New upstream release.
  * Bumped compat level to 9.
  * debian/control: Updated Standards-Version to 3.9.3
  * debian/copyright: Updated copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 08 Mar 2012 16:34:21 +0200

verilator (3.831-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patch: shebang.diff

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 11 Feb 2012 15:00:59 +0200

## verilator 3.833

=== test_c/Makefile ===
--- 
+++ 
@@ -5,14 +5,14 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2010 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.
 #
 #****************************************************************************/
 
-default: test_default
+default: show_config test_default
 
 # This must point to the root of the VERILATOR kit
 VERILATOR_ROOT := $(shell pwd)/..
@@ -21,7 +21,8 @@
 # Pick up PERL and other variable settings
 include $(VERILATOR_ROOT)/include/verilated.mk
 
-DEBUG_ON = --debug --trace-dups
+DEBUG_QUIET = --debug --debugi 0 --gdbbt --no-dump-tree
+DEBUG_ON = --debug --trace-dups --gdbbt
 #DEBUG = $(DEBUG_ON)
 VALGRIND_ON = $(DEBUG_ON) --gdb "valgrind -v --leak-check=yes"
 
@@ -33,8 +34,15 @@
 VERILATOR_FLAGS = --cc -f $(VERILATOR_ROOT)/test_v/input.vc top.v
 VERILATOR_FLAGS += --trace
 
+#show_config: Is the very first time we've executed Verilator after building
+#so we make sure to run with --gdbbt, so if it dumps we'll get a trace.
+show_config:
+	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG_QUIET) -V
+
+#prep: Is the very first time we're running a Verilation
+#so we make sure to run with --gdbbt, so if it dumps we'll get a trace.
 prep:
-	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG)       $(VERILATOR_FLAGS)
+	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG_QUIET) $(VERILATOR_FLAGS)
 prep_dbg:
 	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG_ON)    $(VERILATOR_FLAGS)
 prep_vg:

=== test_sc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2010 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.
@@ -22,9 +22,10 @@
 include $(VERILATOR_ROOT)/include/verilated.mk
 
 DEBUG_ON = --debug
+SYSTEMC_TESTING ?= $(SYSTEMC)$(SYSTEMC_INCLUDE)
 
 ######################################################################
-ifneq ($(SYSTEMC),)
+ifneq ($(SYSTEMC_TESTING),)
 test_default:  precopy prep        preproc compile run
 test_debug:    precopy prep_dbg    preproc compile run
 else
@@ -59,7 +60,7 @@
 
 nosc:
 	@echo
-	@echo %Skip: SYSTEMC not in environment
+	@echo %Skip: SYSTEMC_INCLUDE not in environment
 	@echo
 
 ######################################################################

=== test_vcs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2011 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== debian/changelog ===
verilator (3.833-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 18 Apr 2012 17:14:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), autotools-dev, flex, bison
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autotools-dev, flex, bison
+Standards-Version: 3.9.3
 Homepage: http://www.veripool.org/wiki/verilator
 Vcs-Git: git://git.debian.org/git/pkg-electronics/verilator.git
 Vcs-Browser: http://git.debian.org/?p=pkg-electronics/verilator.git

## verilator 3.841

=== debian/changelog ===
verilator (3.841-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 06 Sep 2012 11:30:26 +0200

verilator (3.840-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 01 Aug 2012 11:36:02 +0200

## verilator 3.845

=== test_regress/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2013 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== test_vcs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2013 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== debian/changelog ===
verilator (3.845-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 10 Feb 2013 17:14:43 +0200

verilator (3.844-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated copyright years.
  * Refresh patch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 13 Jan 2013 11:25:29 +0200

verilator (3.843-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bumped Standards-Version to 3.9.4
    + Remove obsolete DMUA field
    + Use canonical URIs in VCS-* fields

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 03 Jan 2013 12:52:18 +0200

## verilator 3.851

=== debian/changelog ===
verilator (3.851-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 24 Aug 2013 15:28:02 +0200

verilator (3.850-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 10 Jun 2013 09:46:14 +0200

verilator (3.847-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 20 May 2013 17:18:43 +0200

verilator (3.846-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 24 Mar 2013 18:38:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), autotools-dev, flex, bison
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.veripool.org/wiki/verilator
-Vcs-Git: git://git.debian.org/git/pkg-electronics/verilator.git
-Vcs-Browser: http://git.debian.org/?p=pkg-electronics/verilator.git
+Vcs-Git: git://anonscm.debian.org/pkg-electronics/verilator.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/verilator.git
 
 Package: verilator
 Architecture: any

## verilator 3.856

=== test_c/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2014 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== test_regress/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2013 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2014 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== test_vcs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2013 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2014 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== test_verilated/Makefile ===
#*****************************************************************************
#
# DESCRIPTION: Verilator Example: Makefile for inside source directory
#
# This calls the object directory makefile.  That allows the objects to
# be placed in the "current directory" which simplifies the Makefile.
#
# Copyright 2003 by Wilson Snyder. This program is free software; you can
# redistribute it and/or modify it under the terms of either the GNU
# Lesser General Public License Version 3 or the Perl Artistic License
# Version 2.0.
#
#****************************************************************************/

default: test

# This must point to the root of the VERILATOR kit
VERILATOR_ROOT := $(shell pwd)/..
export VERILATOR_ROOT

VERILATOR_NCVERILOG ?= ncverilog
VERILATOR_VCS ?= vcs

# Pick up PERL and other variable settings
include $(VERILATOR_ROOT)/include/verilated.mk

VERILATOR_SW +=
ifeq ($(VERILATOR_NO_DEBUG),)
  VERILATOR_SW += --debug --no-dump-tree
endif

PERL_PACKAGES_OK := $(shell $(PERL) -e 'eval "use Bit::Vector; print 1;";')

######################################################################

default: test

ifneq ($(PERL_PACKAGES_OK),1)
test::  nopackages
else
 ifneq ($(VCS_HOME),)
test::	vcs
 else
test::	novcs
 endif

 ifneq ($(NC_ROOT),)
test::	nc
 else
test::	nonc
 endif

test::	vlt
endif

vgen.v: ./vgen.pl
	$(PERL) vgen.pl $(VGEN_FLAGS)

#	We ulimit cpu time, as some cases make gcc 3.3.4 hang
random:
	-rm -rf obj_dir/Vgen* obj_dir/simx
	$(PERL) vgen.pl --seed=0 --numops=1000 --depth=4 --raise=4
	VERILATOR_NO_DEBUG=1 CPPFLAGS_ADD=-Wno-error VCS_HOME= NC_ROOT= bash -c "ulimit -t 120; $(MAKE) test"
#	$(MAKE) nc

random_forever:
	while ( $(MAKE) random ) ; do \
		echo ; \
	done

######################################################################

nopackages:
	@echo "No perl Bit::Vector package installed."
	@echo "Not running regression test."

novcs:
	@echo "No VCS simulator installed."
	@echo "Not running VCS regression test."

vcs:	vcs_passed.log

simv:	vgen.v sim_main.v
	vcs +cli -I +define+vcs+1 +v2k -q vgen.v sim_main.v

vcs_passed.log	: simv
	-rm -f vcs_passed.log
	./simv -l sim.log
	grep -q Finished sim.log && grep Finished sim.log > vcs_passed.log

######################################################################

nonc:
	@echo "No NC-Verilog simulator installed."
	@echo "Not running NC-Verilog regression test."

nc:	nc_passed.log

nc_passed.log:	vgen.v sim_main.v
	$(VERILATOR_NCVERILOG) +licqueue +define+ncverilog=1 -q vgen.v sim_main.v
	-rm -f nc_passed.log
	grep -q Finished ncverilog.log && grep Finished ncverilog.log > nc_passed.log

######################################################################

vlt:	prep compile vlt_passed.log

prep: 	vgen.v $(VERILATOR_ROOT)/bin/verilator
	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(VERILATOR_SW) --cc vgen.v

compile:
	cd obj_dir ; $(MAKE) -j 3 -f ../Makefile_obj

vlt_passed.log vlt_run: prep compile
	-rm -f vlt_passed.log sim.log
	obj_dir/simx | tee sim.log
	grep -q Finished sim.log && grep Finished sim.log > vlt_passed.log

######################################################################
maintainer-copy::
clean mostlyclean distclean maintainer-clean::
	-rm -rf obj_dir *.log *.dmp *.vpd simv* *.key vgen.v csrc INCA_libs

=== debian/changelog ===
verilator (3.856-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 16 Mar 2014 21:30:31 +0200

verilator (3.855-1) unstable; urgency=low

  * New upstream release.
  * Refreshed shebang.diff patch.
  * debian/copyright: update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 27 Jan 2014 10:44:06 +0200

verilator (3.854-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped Standards-Version to 3.9.5

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 03 Dec 2013 09:22:24 +0200

verilator (3.853-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 01 Oct 2013 23:09:16 +0200

verilator (3.852-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 30 Sep 2013 17:12:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9), autotools-dev, flex, bison
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.veripool.org/wiki/verilator
 Vcs-Git: git://anonscm.debian.org/pkg-electronics/verilator.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/verilator.git

=== debian/watch ===
version=3

http://www.veripool.org/projects/verilator/wiki/Installing /ftp/verilator-(.*)\.tgz

## verilator 3.864

=== debian/changelog ===
verilator (3.864-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: Add upstream metadata information
  * debian/control: Bump Standards-Version to 3.9.6

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 28 Sep 2014 12:18:43 +0200

verilator (3.862-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 17 Jun 2014 19:59:50 +0300

verilator (3.860-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 20 May 2014 17:30:12 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9), autotools-dev, flex, bison
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.veripool.org/wiki/verilator
 Vcs-Git: git://anonscm.debian.org/pkg-electronics/verilator.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/verilator.git

## verilator 3.872

=== debian/changelog ===
verilator (3.872-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/shebang.diff: patch verilator_coverage
  * Install all manuals:
    + Added install_all_manpages.diff patch to generate/install manpages for
      verilator_profcfunc & verilator_coverage
    + Remove debian/manpages, debian/verilator_profcfunc.1
    + debian/links: added verilator_coverage_bin_dbg.1 -> verilator_coverage.1
      symlink.
  * debian/copyright: Update copyright format & years.
  * Added typos.diff patch to fix typos.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Apr 2015 13:50:47 +0200

verilator (3.870-1) experimental; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 14 Feb 2015 09:08:35 +0200

verilator (3.868-1) experimental; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 23 Dec 2014 10:52:44 +0200

verilator (3.866-1) experimental; urgency=medium

  * New upstream release.
  * Added debian/gbp.conf to set debian branch to experimental.
  * Update my email address.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 26 Nov 2014 09:41:28 +0200

## verilator 3.874

=== test_c/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2014 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2015 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== test_regress/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2014 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2015 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== test_sc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2012 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2015 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.
@@ -26,8 +26,8 @@
 
 ######################################################################
 ifneq ($(SYSTEMC_TESTING),)
-test_default:  precopy prep        preproc compile run
-test_debug:    precopy prep_dbg    preproc compile run
+test_default:  precopy prep        compile run
+test_debug:    precopy prep_dbg    compile run
 else
 test_default:  nosc
 test_debug:    nosc
@@ -43,9 +43,6 @@
 	$(PERL) $(VERILATOR_ROOT)/bin/verilator             $(VERILATOR_FLAGS)
 prep_dbg:
 	$(PERL) $(VERILATOR_ROOT)/bin/verilator $(DEBUG_ON) $(VERILATOR_FLAGS)
-
-preproc:
-	cd obj_dir ; $(MAKE) -j 1 -f ../Makefile_obj preproc
 
 compile:
 	cd obj_dir ; $(MAKE) -j 3 -f ../Makefile_obj

=== debian/changelog ===
verilator (3.874-1) unstable; urgency=medium

  * Upload to unstable.
  * Drop patches that got merged upstream: install_all_manpages.diff,
    typos.diff
  * Add pkgconfig.diff patch to remove un-necessary 'libdir' field from
    pkgconfig file. lintian complained that this field had a multi-arch.
    value, yet the file is installed in /usr/share/pkgconfig

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 07 Jun 2015 16:06:17 +0200

verilator (3.872-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/*: Added DEP-3 patch headers.
  * Remove debian/gbp.conf, not needed in master branch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 26 Apr 2015 16:20:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: electronics
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper (>= 9), autotools-dev, flex, bison
 Standards-Version: 3.9.6
 Homepage: http://www.veripool.org/wiki/verilator

## verilator 3.890

=== test_c/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2015 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2016 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== test_regress/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2015 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2016 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.
@@ -39,6 +39,8 @@
 ifeq ($(CFG_WITH_LONGTESTS),yes)
  DRIVER_FLAGS += -j 0
 endif
+
+.SUFFIXES:
 
 ######################################################################

=== test_sc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2015 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2016 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

## verilator 3.900

=== test_regress/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This calls the object directory makefile.  That allows the objects to
 # be placed in the "current directory" which simplifies the Makefile.
 #
-# Copyright 2003-2016 by Wilson Snyder. This program is free software; you can
+# Copyright 2003-2017 by Wilson Snyder. This program is free software; you can
 # redistribute it and/or modify it under the terms of either the GNU
 # Lesser General Public License Version 3 or the Perl Artistic License
 # Version 2.0.

=== debian/changelog ===
verilator (3.900-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 3.900
  * Refresh patch
  * Update d/copyright
  * Update to Standards-Version 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 20 Jan 2017 10:31:18 +0100

verilator (3.890-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 3.890
  * Refresh patch
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 20 Dec 2016 23:45:19 +0100

verilator (3.874-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libfl-dev to Build-Depends.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #846454)
  * Use new and secure URL for Vcs-* fields

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 16 Dec 2016 20:51:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 9), autotools-dev, flex, bison
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), autotools-dev, flex, bison, libfl-dev
+Standards-Version: 3.9.8
 Homepage: http://www.veripool.org/wiki/verilator
-Vcs-Git: git://anonscm.debian.org/pkg-electronics/verilator.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/verilator.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/verilator.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/verilator.git
 
 Package: verilator
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_installexamples:
	mv debian/verilator/usr/share/verilator/examples debian/verilator/usr/share/doc/verilator/

override_dh_compress:
	dh_compress -Xexamples

## verilator 3.906

=== debian/changelog ===
verilator (3.906-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.906
  * Update to Standards-Version 4.0.0
    - Use HTTPS URL for d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 16 Jul 2017 22:21:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper (>= 9), autotools-dev, flex, bison, libfl-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.veripool.org/wiki/verilator
 Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/verilator.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/verilator.git
